// ToFromString.cpp : Converting Data to/from Strings

#include <iostream>
#include <string>
#include <sstream>				// provide access to the stringstream library
using namespace std;

int main() {
	cout << "\nConverting Data to/from Strings\n\n";

	string s;
	stringstream ss, tt;		// stringstream objects
	int n100 = 100;
	float f101 = 101.01f;
	double d102 = 102.02;
	bool btrue = true;

	// Convert data to a string;
	ss << 42 << ' ' << n100 << ' ' << f101 << ' ' << d102 << ' ' << btrue;
	s = ss.str();				// convert the stringstream to a string
	cout << "<" << s << ">\n\n";

	int one, two;
	float three;
	double four;
	bool five;

	// Convert a string into data
	tt << s;					// load the string into the stringstream
	tt >> one >> two >> three >> four >> five;		// do the conversions
	cout << "one:   " << one << "\ntwo:   " << two << endl;
	cout << "three: " << three << "\nfour:  " << four << endl;
	cout << "five: " << five << endl << endl;

	return 0;
} // end main()


/* ===== Runtime Output =====

Converting Data to/from Strings

<42 100 101.01 102.02 1>

one:   42
two:   100
three: 101.01
four:  102.02
five: 1

===== End Runtime Output ===== */
